From 377e38bfd84bc9f9a5da2dc127f8d22149dbe6db Mon Sep 17 00:00:00 2001
From: grizzlyuser <grizzlyuser@protonmail.com>
Date: Aug 15 2026 17:11:01 +0000
Subject: [PATCH 4/12] libre/iceweasel: WIP 151.0-1, sync with changes from upstreams


Some 'Settings' pages seem to have options broken / missing.

---

diff --git a/libre/iceweasel/PKGBUILD b/libre/iceweasel/PKGBUILD
index 7264fa3..0e4bce6 100644
--- a/libre/iceweasel/PKGBUILD
+++ b/libre/iceweasel/PKGBUILD
@@ -72,7 +72,7 @@
 
 pkgname=iceweasel
 epoch=1
-pkgver=150.0.3
+pkgver=151.0
 pkgrel=1
 _brandingver=149.0
 _brandingrel=1
@@ -168,9 +168,7 @@ source=(
   $pkgname.desktop
   org.mozilla.$pkgname.metainfo.xml
   0001-Install-under-remoting-name.patch
-  0002-Bug-2033279-Make-enable-rust-simd-work-with-Rust-1.9.patch
-  0003-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
-  0004-Bug-2023597-Use-wasm32-wasip1-target-for-clang-22.1-.patch
+  0002-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
 )
 source=( ${source[*]/${pkgname}-symbolic.svg/} )  # branding over-ride
 source=( ${source[*]/org.mozilla./nu.parabola.} ) # branding over-ride
@@ -196,30 +194,26 @@ validpgpkeys+=(
   BFA8008A8265677063B11BF47171986E4B745536 # Andreas Grapentin (branding source-ball)
   3954A7AB837D0EA9CFA9798925DB7D9B5A8D4B40 # bill-auger        (libre source-ball)
 )
-sha256sums=('0a0a539ccc96d928fec78af511884b9b89d0aec87f0d5a8852d9298b2d9332da'
+sha256sums=('39a17369335943f9451b26ebf79c9b4c4572399e57cdadc25c661cebecc0c21c'
             'SKIP'
                                                                                 # $pkgname-symbolic.svg
             '73c06fe38a7663d7dc395e3d037b4375ff102917509ad6290a00d40bbac99f62'  # $pkgname.desktop
             'a6e4ab312203ae1df50537f4e6631417b84df46bac4cce2d51145751a405cd8f'  # nu.parabola.$pkgname.metainfo.xml
-            'a7364ddb3b6eab922873f35731ed5cfb61e8022a35d54edd2f80b95a4f5625ed'
-            '9f10d9bfcaa3a8dd86a8654431f820716a45a72a885c29fd6359bccc7bcdaefa'
-            'f579e02644ef9c29da5cd61d2c9213ba1c3f7a1aa8abf601bdf07cbbbadb1ce3'
-            'd6e1dbafe56bc52c8ab6cbf9542cf80e89c1857a71ce08bbbd82804909bcb76f')
+            'f0118f1b092e471fe3c81c1e8b49a76a37f72f3263d00a18e939dcde80c90dac'
+            'c7d6572fe1ac76f6adbfb10102f284fd55690396ac0a275a5cfea9a2efa22b58')
 sha256sums+=('86bd54db6026ff65bd24ac4f05d0679a645ff447e2f81b0ee44037c0c4285e06') # vendor.js.in
 sha256sums_armv7h=('883ca2fa723a7572269d18559d5b82412782ad63e5dd3820eeb0540e3fe34314')
 sha256sums_i686=('65395a49fd3d998f7e06a430bdd656ad453254dafcc34e21ec7931902d8c1809'  # avoid-libxul-OOM-python-check.patch
                  'ed3bb281697af7c4353a34067ffb4b18a971d40757bef2d6af3c8bf2d28d42d1'  # firefox-111.0.1-fdlibm.patch
                  '2fb39374fd3d80eea9e346032a2a4b2bc2e357dee7380855b24bcf19b1335d06'  # fix-i686-build-moz-1792159.patch
                  'c3ce181fbb0142055aa6dd17f3cda2ba6a1e54d7a689a8c6e9cce76aa40e6544') # fix-i686-xsimd-incomplete.patch
-b2sums=('c167496083203222116cac44d0b58a1931530fa6ca4edc5176466ed82928e4d17859b5c722796b748c08f7f26957183ed8c5ce343fa2f812a7ec9b3d176755a1'
+b2sums=('170cd234f7d4256523634c76f424dd460db91e220c6935b34e402befbce5edfaf6d1dba9d0aeb4b45a78b6c0681c8efd6a9c56deeb376305c8cead62da6344ae'
         'SKIP'
                                                                                                                                              # $pkgname-symbolic.svg (deleted)
         '79fd40b2e19a6f4f5fef4b12d19d12b15122feb3f813cc6ca892ba0d39167fb1efc6ce2da5c87b8ffbcc6dcc27488f5262fd21a308d48c0bfee189add3917029'   # $pkgname.desktop
         '80cf1f7644f9b509fe374cd51fea288ffcca73f735c7d4c8e2a22be7543aa7e0f3c84a619315e5fb4b82967f1cc7b2b4282658af859be1a08d2f29c39f2815d7'   # nu.parabola.$pkgname.metainfo.xml
-        'f5646fef13b59542438994a1593fb17b3a57ac5861fbc139269d44325159be0f13a9630a5e3838bad4d55ee9ce2e40810b4d8653dc15354e48caa04c3e9ba972'
-        '29772ea097f9f07abec2d79371885c1f9861b0655cdf03bcfb66517cb6433196f41791918bb36ccda3dceff30e46c0937d010ec43911a79e1cb025f014499660'
-        '01caaec5254c01cf7d11cd2cdc2a2909fc2105a9d9fa6c958c9520dbd49b95635d6f6ee69804218319ddbc533fe0860cfaf97fc9010341ca2edc1407d3d9e729'
-        'abf89c9a6c025f1a5c4b9dd8888eb2042ca412c966d1262a996735a171fdbdbc473461a8e751ec5c0e2f613f9d9dfd2c5d1975243e6fe074fd73a1462f78c759')
+        'c1cbb2de5011ed88e77c22c6abbc944ac2bd0f6c95bddb75f668f40566e6cad8d0090e65a5ff498055612a359f82484b41202f74e1312236e17d099e71bbc952'
+        '0420be311ae633c05d3a110b9fe5a8da288530d918ec9435c1a54d8d13bbbd06f5ee90977a9ee71d39e68bc26deb20264e712816e1dc5d7374b64a920e51b353')
 b2sums+=('f3f344196d03499f3f0392d5dfc5310e131d8c85772edd340faf1df3f04ebf2931eb1dda1b7fe6870d61d498618f4d8ae9f1dd446acbe83e0ce324e04b38f3f9') # vendor.js.in
 b2sums_armv7h=('8a894b01e405b628877483e40e9b018647977cb053b6af02afc901ed24d6e1f767f3db8c321070e33aea4a05ba16f1eb47ae600e5299b5f9caad03d20ba38cf5')
 b2sums_i686=('572bb35d7aee0ac847a864b4309f73390435f16b750b8fa3c78b986181d57cdad434bca006d7438c903b2fdc08385292d08fee1d68c87240af72688d60cb8657'  # avoid-libxul-OOM-python-check.patch
@@ -270,17 +264,17 @@ mksource+=( https://repo.parabola.nu/other/iceweasel/${pkgname}_${_brandingver}-
             process-json-files.py )
 mksha256sums+=( 'a73e8dd2c8278a8022567193fa56a1935d3cdf15981bac9a7ca22563cb292d4f'   # *.branding.tar.xz
                 'SKIP'
-                '2d0846c9f966fcc5efb34f5ca0cdd21dd284b0344df9557d286e8cda98fb3b1b'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-                'da6cf41706c7e399a6b2d51cd3ec73ead08203f365e7b76a6dcc3f741edba561'   # 9002-FSDG-preference-defaults.patch
-                'b8880edefbee77c5ed51830d3d2c4d8f7eb749dba5ae53828ffab4d489142aff'   # 9003-FSDG-urihandlers.patch
-                'e49b66abd14bb9d5b0c3aec0a8ee01fc057c38c30a2f0a5d300ecdad0da07f0f'   # 9004-FSDG-misc.patch
+                'd39c35ac1f6b83c31e05f36331b18827b4c7e29e0bfdf0792bc219f30231975f'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+                'f90eb4b8c2e7c605291930358b56dcb1a89d9fac878f7ffcfa1702c764addd93'   # 9002-FSDG-preference-defaults.patch
+                'dc29d095a0f55cb3c2decb68af3b03a67ddfd0b99823f7fc120c29d77104ebe5'   # 9003-FSDG-urihandlers.patch
+                '40281e012820eb0fb40eee1c4c18fe78a47f96e8716119ada2038768ed06c52b'   # 9004-FSDG-misc.patch
                 '8ec0bc73034e38295494856bb1ae8ab7e225b2450189a5a01172b8a12b3c2516' ) # process-json-files.py
 mkb2sums+=( '26b63e9d4f0bc072c96bdae094bf399804b9b2472593ed15bead45d1c319823ad371b46c9e078c5fb0c546f898bf73cc2f45f8c92bc43c6d15047055ab026ca3'   # *.branding.tar.xz
             'SKIP'
-            'a2ea53346ec29a43ae29da118a6287f85a51806f8d33c64b6df190ff5c63fabe3681f01a16174b029e8942619e4c77b8ae5dc66ed8edba5ea9cb42cded317c03'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
-            '2c523aa33dcbc5bd902a1dd971b1b13a61c69bff8c40bafb48915b0ad77d4483e0b602d0c7bbda6b1cfc8bbd9109fa7cf4d117f6a48f62a630a93bff8f52fe50'   # 9002-FSDG-preference-defaults.patch
-            'fbdda325966c8a7e887f9424a62eacd30281c425f075a05a2f7fabd310a039b3af246e896db8dba7ffbfe8923bc7ef9beb41d9d3b659587bc98f41642a51bece'   # 9003-FSDG-urihandlers.patch
-            '68911b711f4f0eec11c28e083bdc2bfd7fc7d03e35fc66d24c90fa38e14d3db1d04570d3ab0047872b5f16c90354f3ddba43565f9773a2b2986933605124a693'   # 9004-FSDG-misc.patch
+            '12e5a04e9c63de5fe71b2e1ade3626119bcbae01865f856e56758a3fb162676db649d7eee8dd101d995a6b8db219f6cac1b95da82c6b9e307d2cd3c83c766f98'   # 9001-FSDG-sync-remote-settings-with-local-dump.patch
+            'bd709384f2b415ce3d2c626fb8891b7fdf171be16d27ea6d016da8de05618f9eac3478ff6d32fd3f945b98cabfbf71ab04dbc08d1c12eb53710e6336a804d8af'   # 9002-FSDG-preference-defaults.patch
+            '66f4c3d75905e81268bce6564824e6b701fb97880018db71e3661d15b6ff86032291ef731ac44c5866c2d671f9fdd95bab3927fbb89794693fa2e25e110f24fa'   # 9003-FSDG-urihandlers.patch
+            'b034e84eb99155c702346ba1d9468932f155d04279e94d3499b1e8dce9d17b095c758b524e6a73a9fc207e8e5091fd10073b20b8dfc51192bb2c2217df6bf995'   # 9004-FSDG-misc.patch
             '950d13abed98ccb939479859e249dd8a641537ee056f8e2dff1c3e4f608f1c6af450d666f2e3910f4f7daae43b2838e065591accb6a8a7b86da770dcb1f3999b' ) # process-json-files.py
 source=( https://repo.parabola.nu/other/${pkgname}/${pkgname}-${pkgver}.tar.zst{,.sig}
          ${source[*]:${_N_MKSOURCES}} )
@@ -521,6 +515,8 @@ mksource() {
   sed -i '/vendor\//d' toolkit/components/ml/jar.mn
   rm -frv toolkit/components/ml/vendor
 
+  rm -v mobile/android/android-components/components/service/merino-manifest/src/main/assets/manifest/manifest.json
+
   # Remove test-related networking dumps, because they contain code from
   # some Amazon webpage with no clear licensing, thus nonfree.
   # Also they interfere with checking of Remote Settings patching done later,
@@ -571,17 +567,9 @@ prepare() {
   # Make different channels installable in parallel
   patch -Np1 -i ../0001-Install-under-remoting-name.patch
 
-  # Fix build with Rust 1.95.0
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=2033279
-  patch -Np1 -i ../0002-Bug-2033279-Make-enable-rust-simd-work-with-Rust-1.9.patch
-
   # Fix build with glibc 2.43
   # https://bugzilla.mozilla.org/show_bug.cgi?id=1999625
-  patch -Np1 -i ../0003-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
-
-  # Fix build with Clang 22
-  # https://bugzilla.mozilla.org/show_bug.cgi?id=2023597
-  patch -Np1 -i ../0004-Bug-2023597-Use-wasm32-wasip1-target-for-clang-22.1-.patch
+  patch -Np1 -i ../0002-Patch-glsl-optimizer-to-build-with-glibc-2.43.patch
 
   # Use system python-typing-extensions instead of the old vendored one to avoid
   # unresolvable dependency versions. They are probably downloaded when network
@@ -1136,6 +1124,7 @@ package() {
   cd firefox-$pkgver
   DESTDIR="$pkgdir" ./mach install
   local appdir="$pkgdir/usr/lib/$pkgname"
+  touch "$appdir/is-packaged-app"
 
   install -Dvm644 /dev/stdin "$appdir/browser/defaults/preferences/vendor.js" <<END
 // Use LANG environment variable to choose locale
@@ -1216,7 +1205,7 @@ END
 
   # Replace duplicate binary with wrapper
   # https://bugzilla.mozilla.org/show_bug.cgi?id=658850
-  ln -srfv "$pkgdir/usr/bin/$pkgname" "$pkgdir/usr/lib/$pkgname/firefox-bin"
+  ln -srfv "$pkgdir/usr/bin/$pkgname" "$appdir/firefox-bin"
   mv "$pkgdir/usr/lib/$pkgname/firefox-bin" "$pkgdir/usr/lib/$pkgname/$pkgname-bin" # minimize diff
 
   # TODO: The code block below was removed from the upstream PKGBUILD in 140.0 release.

